<?php
/* Copyright (C) 2017 	oscss-shop 					<support@oscss-shop.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * 	\file       htdocs/dolmessage/core/tabs/thirdparty.tabs.class.php
 * 	\ingroup    dolmessage
 * 	\brief      Fiche d'information sur une proposition commerciale
 */
//use \Form;
//use \Formother;
//use \FormFile;
//use \FormQualityReport;
//use \UserGroup;
//use \User;
//use \ExtraFields;
use \CORE\FRAMEWORK\Societe as Societe;
use \CORE\FRAMEWORK\AutoTabs as AutoTabs;
use \CORE\FRAMEWORK\AutoTabsRequired as AutoTabsRequired;
use \CORE\DOLMESSAGE\AutoTabsDolmessage as AutoTabsDolmessage;

require_once(DOL_DOCUMENT_ROOT."/user/class/usergroup.class.php");
require_once(DOL_DOCUMENT_ROOT."/core/lib/date.lib.php");
if ($conf->projet->enabled) require_once(DOL_DOCUMENT_ROOT."/core/lib/project.lib.php");
require_once(DOL_DOCUMENT_ROOT."/contact/class/contact.class.php");
require_once(DOL_DOCUMENT_ROOT."/core/lib/contact.lib.php");
require_once(DOL_DOCUMENT_ROOT."/core/lib/functions2.lib.php");
require_once(DOL_DOCUMENT_ROOT."/core/lib/company.lib.php");

require_once(DOL_DOCUMENT_ROOT."/core/lib/agenda.lib.php");
require_once(DOL_DOCUMENT_ROOT."/comm/action/class/cactioncomm.class.php");
require_once(DOL_DOCUMENT_ROOT."/comm/action/class/actioncomm.class.php");


dol_include_once('/framework/class/autotabs.class.php');
dol_include_once('/dolmessage/class/AutoTabsDolmessage.class.php');
dol_include_once('/dolmessage/class/connector/dolimap.class.php');
dol_include_once('/dolmessage/class/connector/dollocalmessage.class.php');
dol_include_once('/dolmessage/class/user.mailconfig.class.php');
dol_include_once('/dolmessage/core/lib/message.lib.php');




$langs->load('propal');
$langs->load('compta');
$langs->load('bills');
$langs->load("companies");
$langs->load("dolmessage@dolmessage");

/**
  @class TabsThirdparty

 */
Class TabsProject extends AutoTabsDolmessage
{
    public
    /**
      @var
     */
        $name
        ,
        /**
          @var array
         */
        $refparam = array(
            'id' => 'int'
            , 'ref' => 'alpha'
            , 'action' => 'alpha'
            , 'mod' => 'alpha'
            , 'tab' => 'alpha'
            )

    ;


}