<?php
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CORE\DOLMESSAGE;

use \Form;
use \Formother;
use \FormFile;
use \UserGroup;
use \User;
use \ExtraFields;
// use \Propal;
// use \ExtraFields;
use \CORE\FRAMEWORK\Societe as Societe;
use \CORE\FRAMEWORK\AutoTabs as AutoTabs;
use \CORE\FRAMEWORK\AutoTabsRequired as AutoTabsRequired;

dol_include_once('/framework/core/lib/greffon.lib.php');

dol_include_once('/framework/class/autotabs.class.php');
dol_include_once('/dolmessage/class/connector/dolimap.class.php');
dol_include_once('/dolmessage/class/connector/dollocalmessage.class.php');
dol_include_once('/dolmessage/class/user.mailconfig.class.php');
dol_include_once('/dolmessage/core/lib/message.lib.php');




$langs->load("framework@framework");
$langs->load("dolmessage@dolmessage");

/**
 * Description of AutoTabsDolmessage
 *
 * @author Oscss Shop <support@oscss-shop.fr>
 */
class AutoTabsDolmessage extends AutoTabs implements
AutoTabsRequired
{

    /**
      @fn Init()
      @brief
      @param
      @return
     */
    public function _Init()
    {
        $file = basename(__FILE__);


        $this->type = strtolower(substr(get_class($this), 4));

        $class = $this->FV->GetClassByType($this->type);

        // load Specific context
        loadClass($class);

        $this->object = new $class($this->db);

        return true;
    }

    /**
      @fn Init()
      @brief
      @param
      @return
     */
    public function _Process()
    {
//        var_dump($this->FV->GetTabsByType($this->type));
//        die();
        $class        = $this->FV->GetClassByType($this->type);
        $this->object = new $class($this->db);

        if ($this->GetParams($this->FV->GetNameidByType($this->type)) != null || $this->GetParams('ref') != null) {

            $this->object->fetch($this->GetParams($this->FV->GetNameidByType($this->type)), $this->GetParams('ref'));
            if (is_callable(array($this->object, 'fetch_thirdparty'))) {
                $this->object->fetch_thirdparty();
            }
        }

        return true;
    }

    /**
      @fn Display()
      @brief
      @param
      @return
     */
    public function _Display()
    {
        global $langs, $conf, $user;

        global $formfile;

        $sortfield = GETPOST('sortfield', 'alpha');
        $sortorder = GETPOST('sortorder', 'alpha');
        if ($sortfield == '') {
            $sortfield = "m.datec";
            $sortorder = "DESC";
        }


        $fix_oldtype     = $this->FV->GetOldtypeByTypeName($this->type);
		if(!$fix_oldtype || is_array($fix_oldtype) || empty($fix_oldtype) )
			$fix_oldtype = $this->type;

        $offset = GETPOST('offset', 'int');

        $db     = $this->db;
// 			$formfile = new FormFile($this->db);
        $limit  = $conf->liste_limit + $offset;

        print '<div class="fichecenter">';
        print '<div class="underbanner clearboth"></div>';


        if ($msg) print '<div class="error">'.$msg.'</div>';

        $sql = "SELECT m.rowid, message_id, message_uid, m.datec, m.recent, m.unseen, m.flagged, m.answered, m.joint , fk_source as socid, user_id , usergroup_id, ug.nom as groupnom,  ua.login as loginauthor , fk_target";
        $sql .= " FROM ".MAIN_DB_PREFIX."message m";
        $sql .= " LEFT JOIN ".MAIN_DB_PREFIX."user as ua ON( m.user_id = ua.rowid) ";
        $sql .= " LEFT JOIN ".MAIN_DB_PREFIX."usergroup as ug ON( m.usergroup_id = ug.rowid)";
        $sql .= " JOIN  ".MAIN_DB_PREFIX."element_element ee ON(targettype = 'dolmessage'";
        $sql .= " AND fk_target = m.rowid AND sourcetype='".$fix_oldtype."'";
        $sql .= " AND fk_source ='".$this->GetParams($this->FV->GetNameidByType($this->type))."' )";

        $sql .= " WHERE  1 ";

        $sql .= $db->order($sortfield, $sortorder);
        $sql .= $db->plimit($limit , $offset);

//         print($sql);
        echo '<br /><br /><table width="100%" class="listingEmail">';

// Lignes des titres
        print "<thead><tr class=\"liste_titre\">";
        $param = "&mod=dolmessage&tab={$this->type}&".$this->FV->GetNameidByType($this->type)."=".$this->GetParams($this->FV->GetNameidByType($this->type));
// print_liste_field_titre($langs->trans("Ref"), $_SERVER["PHP_SELF"], "p.ref",$param,"","",$sortfield,$sortorder);
        print_liste_field_titre($langs->trans("Date"), $_SERVER["PHP_SELF"], "m.datec", $param, "", "", $sortfield,
            $sortorder);
        print_liste_field_titre($langs->trans("Sender"), $_SERVER["PHP_SELF"], "", $param, "", "", $sortfield,
            $sortorder);
        print_liste_field_titre($langs->trans("Subject"), $_SERVER["PHP_SELF"], "", $param, "", "", $sortfield,
            $sortorder);
        print_liste_field_titre($langs->trans("Object"), $_SERVER["PHP_SELF"], "fk_target", $param, "", "", $sortfield,
            $sortorder);
        print_liste_field_titre($langs->trans("User"), $_SERVER["PHP_SELF"], "user_id", $param, "", "", $sortfield,
            $sortorder);
        print_liste_field_titre($langs->trans("Group"), $_SERVER["PHP_SELF"], "usergroup_id", $param, "", "",
            $sortfield, $sortorder);

        print "</thead></tr>\n<tbody>";


        $resql = $db->query($sql);
        if ($resql) {
            $num = $db->num_rows($resql);

            $i   = 0;
            $var = true;
            while ($i < min($num, $limit)) {
                $objp = $db->fetch_object($resql);

                $Mess = LoadMessage($objp->rowid, $objp->message_uid, $dolimap);

                if ($i % 2 == 0) print '<tr class="pair">';
                else print '<tr class="impair">';

                if (date('d/m/Y') == date("d/m/Y", strtotime($objp->datec))) { /* only hours if day is the same */
                    $shortDate = date("H:i", strtotime($objp->datec));
                } elseif (date('Y') != date("Y", strtotime($objp->datec))) { /* if not this year */
                    $shortDate = date("d M. Y", strtotime($objp->datec));
                } else { /* if year is implicite */
                    $shortDate = date("d M.", strtotime($objp->datec));
                }

                echo '<td class="hiddenInfo"><span>'.date("d/m/Y H:i", strtotime($objp->datec)).'</span>'.$shortDate.'</td>';
                 $name           = $Mess->GetFromName();
                    if (!empty($name))
                echo '<td class="hiddenInfo"><span>'.$Mess->GetFromMail().'</span>'.$name.'</td>';
                    else
                echo '<td>'.$Mess->GetFromMail().'</td>';

               echo '<td><a class="linkSubject" href="'.dol_buildpath('/dolmessage/fiche.php', 1).'?id='.$Mess->GetId().'" >'.$Mess->GetSubject().'</a></td>';
                echo '<td>';
                foreach ($Mess->GetLinked() as $type => $list) {
                    foreach ($list as $obj) {
                        print $obj->getNomUrl(1, '', 16);
                    }
                }
                echo '</td>';



                echo '<td>';
                $userstatic        = new User($db);
                $userstatic->id    = $objp->user_id;
                $userstatic->login = $objp->loginauthor;
                if ($objp->user_id > 0) echo $userstatic->getLoginUrl(1);
                else echo '&nbsp;';

                echo '</td>';

                echo '<td>';



                if ($objp->usergroup_id > 0) {
                    if (version_compare($conf->global->MAIN_VERSION_LAST_INSTALL, '3.6', '>='))
                            echo '<a href="'.DOL_URL_ROOT.'/user/group/fiche.php?id='.$objp->usergroup_id.'" >'.img_object($langs->trans("ShowGroup"),
                            "group").' '.$objp->groupnom.'</a>';
                    if (version_compare($conf->global->MAIN_VERSION_LAST_INSTALL, '3.7', '>='))
                            echo '<a href="'.DOL_URL_ROOT.'/user/group/card.php'.$objp->usergroup_id.'" >'.img_object($langs->trans("ShowGroup"),
                            "group").' '.$objp->groupnom.'</a>';
                } else echo '&nbsp;';

                echo '</td>';

                echo '</tr>';
                $i++;
            }
            print '</table>';
            $args           = $_GET;
            $args['offset'] = $limit;
            print '<br /><a href="'.$_SERVER["PHP_SELF"].'?'.http_build_query($args).'">'.$langs->trans('Next').'</a>';
        }

// $db->close();

        print '</div>';
        return false;
    }
}
