<?php
/* Copyright (C) 2014 Oscim 	<support@oscim.fr>
 * Copyright (C) 2015 Oscss-Shop Team <support@oscss-shop.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */


class DolMessFields {



		/**
		* @var array  Array with all fields and their property
		*/
		public $fields=array(
			'linked' => array('type'=>'text', 'label'=>'DolmessageLinkStatus', 'visible'=>1, 'enabled'=>1, 'position'=>1000, 'index'=>1, 'grp'=>'flag'),

			'answered' => array('type'=>'integer', 'label'=>'DolmessagelAnswered', 'visible'=>1, 'enabled'=>1, 'position'=>501, 'index'=>1, 'grp'=>'flag'),

			'flagged' => array('type'=>'text', 'label'=>'DolmessagelFlagged', 'visible'=>1, 'enabled'=>1, 'position'=>502, 'index'=>1, 'grp'=>'flag'),

			'unseen' => array('type'=>'integer', 'label'=>'DolmessagelSeen', 'visible'=>0, 'enabled'=>1, 'position'=>1000, 'index'=>1,),
			
			'cacheattachments' => array('type'=>'text', 'label'=>'DolmessageAttachments', 'visible'=>1, 'enabled'=>1, 'position'=>503, 'index'=>1, 'grp'=>'flag'),
			
			
			
			'to' => array('type'=>'varchar(255)', 'label'=>'Sender', 'visible'=>1, 'enabled'=>1, 'position'=>30, 'searchall'=>1,),

			'from' => array('type'=>'varchar(255)', 'label'=>'Recipient', 'visible'=>1, 'enabled'=>1, 'position'=>30, 'searchall'=>1,),
			
			'object' => array('type'=>'varchar(255)', 'label'=>'DolmessagelObject', 'visible'=>1, 'enabled'=>1, 'position'=>30, 'searchall'=>1,),

			'date' => array('type'=>'datetime', 'label'=>'DolmessagelDate', 'visible'=>-1, 'enabled'=>1, 'position'=>500, 'notnull'=>1,),

			
			
			'size' => array('type'=>'text', 'label'=>'DolmessageSize', 'visible'=>1, 'enabled'=>1, 'position'=>502, 'index'=>1,),
			
	
			
		
			'form' => array('type'=>'text', 'label'=>'DolmessagelLinked', 'visible'=>1, 'enabled'=>1, 'position'=>999, 'index'=>1,),
		);
		
		
}
